The "Check url slug" API allows check the blog slug validation which is needed before publishing any blog post. Please use blogs/check-slug.readonly. you can find the POST ID from the post edit url.

http
GET https://services.leadconnectorhq.com/blogs/posts/url-slug-exists

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
urlSlugstringYes
locationIdstringYesve9EPM428h8vShlRW1KT
postIdstringNo66f429b8afdce84227a4610d

Responses

200 - Successful response
  • exists (boolean, required): Indicates whether the url slug exists or not

json
{
  "exists": true
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/blogs/posts/url-slug-exists' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?